import { StateField } from '@codemirror/state';
import type { EditorView, Tooltip } from '@codemirror/view';
import type { EditorState, Extension } from '@codemirror/state';
import type { SyntaxNode } from '@lezer/common';
export interface DocRange {
    from: number;
    to: number;
}
/**
 * Update the stack of opening (+) or closing (-) brackets
 * @param state
 * @param node 语法树节点
 */
export declare const braceStackUpdate: (state: EditorState, node: SyntaxNode) => [number, number];
declare const _default: [(e?: Extension | undefined) => Extension, {
    lua: Extension[];
    mediawiki: (Extension | StateField<Tooltip | null>)[];
}];
export default _default;
/**
 * 点击提示折叠模板参数
 * @param view
 */
export declare const foldHandler: (view: EditorView) => (e: MouseEvent) => void;
